---
updatedAt: 2026-03-05T22:39:11.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Getting Started with Assessments

```shell Shell
-- Authentication
curl --location/request POST "https://dc1demogwext.paylocity.com/public/security/v1/token" \  
	--header "Content-Type: application/x-www-form-urlencoded" \  
	--data-urlencode "client_id=<your client id>" \  
	--data-urlencode "client_secret=<your secret>" \  
	--data-urlencode "grant_type=client_credentials"
     
curl --request PUT \
     --url https://dc1demogwext.paylocity.com/apiHub/performanceManagement/v1/companies/b6001/assessmentOrders/callback \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
{
  "callbackDetails": {
    "successCallbackUrl": "string",
    "errorCallbackUrl": "string",
    "jobCreationCallbackUrl": "string"
  },
  "callerDetails": {
    "callerName": "string"
  },
  "apiKey": "string",
  "orderLevel": "Assessment"
}'

curl --request PUT \
     --url https://dc1demogwext.paylocity.com/apiHub/security/v1/companies/b6001/companyOnboardingStatuses \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --header 'testMode: false' \
     --data '
{
  "companyId": " A00123",
  "onboardingStatus": "InProgress"
}'

curl --request PUT \
     --url https://dc1demogwext.paylocity.com/apiHub/performanceManagement/v1/companies/companyId/assessmentPackages/packageId \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
{
  "id": "string",
  "status": {
    "startDate": "2024-09-05T20:47:45.909Z",
    "endDate": "2024-09-05T20:47:45.909Z",
    "value": "Active"
  },
  "summary": "string",
  "name": "string",
  "assessments": [
    {
      "id": "string",
      "name": "string",
      "summary": "string",
      "tests": [
        {
          "id": "string",
          "name": "string",
          "category": "string",
          "description": "string"
        }
      ]
    }
  ]
}'

curl --request PUT \
     --url https://dc1demogwext.paylocity.com/apiHub/performanceManagement/v1/companies/companyId/assessmentOrders/subscription \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
{
  "level": "string",
  "price": 0,
  "currency": "string",
  "term": "string",
  "expirationDate": "2024-09-05T20:47:45.909Z",
  "billingCodes": [
    {
      "code": "string",
      "isActive": true
    }
  ]
}'

```

```json Response Example
{"success":true}
```

# Step 1: POST Authentication

<!-- shell@1-6 -->

Once you send an auth request with your Client ID and Client Secret, the response contains an access token which can be used to send other requests to the API.

# Step 2: PUT Add or update callback

<!-- shell@8-24 -->

/performanceManagement/v1/companies/b6001/assessmentOrders/callback 

Register your endpoint where you will receive the assessment orders for all assessees

# Step 3: PUT Upsert onboarding status

<!-- shell@26-35 -->

/apiHub/security/v1/companies/b6001/companyOnboardingStatuses

Onboard the client to be enabled on the partner integration by sending their Paylocity company ID using this endpoint.

# Step 4: PUT Add or update assessment packages

<!-- shell@37-66 -->

apiHub/performanceManagement/v1/companies/{companyId}/assessmentPackages/{packageId} 

A PUT on the /packages endpoint inserts or updates a list of the packages defined for Paylocitys customers. A Package is essentially a combined group of assessment services that Paylocitys customer will be paying for. 

This step can either be done for all companies that will be using your integration by using company ID B6001, or it can be done on an individual company basis using that company’s specific company ID. More information regarding the assessmentPackages endpoint can be found in the Package endpoint.

**For inserting or updating existing Packages**

# Step 5: PUT – Update or create a subscription

<!-- shell@68-85 -->

/apiHub/performanceManagement/v1/companies/{companyId}/assessmentOrders/subscription 

A PUT on the  assessmentOrders/subscription endpoint inserts or updates a subscription details per company. It includes pricing, currency, expirationDate and billingCodes. 

**For inserting or updating subscription**